summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-admin/docker-bench/Manifest1
-rw-r--r--app-admin/docker-bench/docker-bench-0.2.2.ebuild47
-rw-r--r--app-emulation/containerd/Manifest1
-rw-r--r--app-emulation/containerd/containerd-1.3.2.ebuild55
-rw-r--r--kde-frameworks/kdoctools/files/kdoctools-5.66.0-docbundledir.patch160
-rw-r--r--kde-frameworks/kdoctools/kdoctools-5.66.0.ebuild2
-rw-r--r--kde-misc/kdirstat/Manifest1
-rw-r--r--kde-misc/kdirstat/kdirstat-3.1.4.ebuild40
-rw-r--r--kde-misc/kdirstat/kdirstat-3.2.0.ebuild2
-rw-r--r--media-gfx/imv/imv-4.0.1-r2.ebuild (renamed from media-gfx/imv/imv-4.0.1-r1.ebuild)1
-rw-r--r--media-gfx/imv/imv-4.1.0-r1.ebuild (renamed from media-gfx/imv/imv-4.1.0.ebuild)4
-rw-r--r--media-gfx/imv/imv-9999.ebuild2
-rw-r--r--net-misc/cni-plugins/Manifest1
-rw-r--r--net-misc/cni-plugins/cni-plugins-0.8.4.ebuild39
-rw-r--r--net-misc/networkmanager/files/1.18.4-iwd1-compat.patch81
-rw-r--r--net-misc/networkmanager/networkmanager-1.18.4-r2.ebuild349
-rw-r--r--net-misc/r8168/Manifest1
-rw-r--r--net-misc/r8168/metadata.xml5
-rw-r--r--net-misc/r8168/r8168-8.047.05.ebuild16
-rw-r--r--net-misc/r8168/r8168-8.048.00.ebuild34
-rw-r--r--[-rwxr-xr-x]sys-apps/usbguard/files/usbguard-0.7.6-usbguard-dbus.openrc0
-rw-r--r--[-rwxr-xr-x]sys-apps/usbguard/files/usbguard-0.7.6-usbguard.openrc0
-rw-r--r--x11-wm/awesome/awesome-3.5.9-r3.ebuild7
-rw-r--r--x11-wm/awesome/awesome-4.2-r3.ebuild5
-rw-r--r--x11-wm/awesome/awesome-4.3-r1.ebuild7
-rw-r--r--x11-wm/awesome/awesome-9999.ebuild5
26 files changed, 638 insertions, 228 deletions
diff --git a/app-admin/docker-bench/Manifest b/app-admin/docker-bench/Manifest
index b123ad1eeab6..ff8a660b8100 100644
--- a/app-admin/docker-bench/Manifest
+++ b/app-admin/docker-bench/Manifest
@@ -1,3 +1,4 @@
+DIST docker-bench-0.2.2.tar.gz 64297 BLAKE2B 12e48e54759e0e71651056ce04f47b5983e65eed2758d07d46e1e709f6b5bf382a74966cd13fe29eb709f3838878e414882e5a103c3bd291d348118bd7f2dcdc SHA512 034951020d003fada3b5d7a0b2c59ea4f2f85ed1d3a4c0e2d054e35dd206ba3e18eaf576b17acaf3b0a3e85182371b6e89ec4c4d0f39122df19a0ec86428fea2
DIST docker-bench-0_p20190822.tar.gz 49441 BLAKE2B ea4d9056f0825c8adc0b87837fdb2087577ab68fbd53189310fd983f2a4155329789c30cd228b043d08e265457a90f0692210eddc87cbe63479f1c2ecf698401 SHA512 6157d9a473f10fc9e593c1cd87b153f1f34e8317bc31787085cca5a5be92efa1b00b386afa73f62a23ef45b39da70fe8345b61fd3955f5cdef82a085df854b27
DIST github.com-aquasecurity-bench-common-81f08528fa03.tar.gz 18981 BLAKE2B 6579a12622870e537a16f467bcfed71ed1c791641e1948caee10a69f8ff7fc28a3f73e48beb8d3b1d274428e498720f528237d07b28fe1319164ab1339852d0e SHA512 b01f88ddb7c119dc9d7e4f7f3e2d9c80b4046dcd65c6d5f2640d28c235c04fbe03b348032584350485f6323920f692cd96ff73e4140faaeb26d7d5b6eb24671f
DIST github.com-fatih-color-v1.7.0.tar.gz 816449 BLAKE2B f006f51cbd1a0288380b339d7d2b493e447aa1e6bd783f11de5670d4db6ff8c1463cbe957a04127c1f24186a9362be8c40ecdf4394cbbc0e2c6c2cb598c012ac SHA512 ee5668ce828ad3e5461c54d971aee4b10a578f697717010d60fdda641948430816e74580563dfea6a4c66a9840175ff5b63c2ca9cf1af213cfac5be7b8ddac36
diff --git a/app-admin/docker-bench/docker-bench-0.2.2.ebuild b/app-admin/docker-bench/docker-bench-0.2.2.ebuild
new file mode 100644
index 000000000000..48beec7a9114
--- /dev/null
+++ b/app-admin/docker-bench/docker-bench-0.2.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit bash-completion-r1 go-module
+
+DESCRIPTION="Docker Bench for Security runs the CIS Docker Benchmark"
+HOMEPAGE="https://github.com/aquasecurity/docker-bench"
+
+EGO_VENDOR=(
+ "github.com/aquasecurity/bench-common 81f08528fa03"
+ "github.com/fatih/color v1.7.0"
+ "github.com/fsnotify/fsnotify v1.4.7"
+ "github.com/golang/glog 23def4e6c14b"
+ "github.com/hashicorp/hcl v1.0.0"
+ "github.com/inconshreveable/mousetrap v1.0.0"
+ "github.com/magiconair/properties v1.8.0"
+ "github.com/mattn/go-colorable v0.1.2"
+ "github.com/mattn/go-isatty v0.0.8"
+ "github.com/mitchellh/mapstructure v1.1.2"
+ "github.com/pelletier/go-toml v1.2.0"
+ "github.com/spf13/afero v1.1.2"
+ "github.com/spf13/cast v1.3.0"
+ "github.com/spf13/cobra v0.0.5"
+ "github.com/spf13/jwalterweatherman v1.0.0"
+ "github.com/spf13/pflag v1.0.3"
+ "github.com/spf13/viper v1.4.0"
+ "golang.org/x/sys a9d3bda3a223 github.com/golang/sys"
+ "golang.org/x/text v0.3.0 github.com/golang/text"
+ "gopkg.in/yaml.v2 v2.2.2 github.com/go-yaml/yaml"
+)
+SRC_URI="https://github.com/aquasecurity/docker-bench/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ $(go-module_vendor_uris)"
+
+LICENSE="Apache-2.0 BSD BSD-2 MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_compile() {
+ go build -o ${PN} . || die
+}
+
+src_install() {
+ dobin ${PN}
+ insinto /etc/docker-bench/
+ doins -r cfg
+}
diff --git a/app-emulation/containerd/Manifest b/app-emulation/containerd/Manifest
index 7698ad6dbf2f..9ecae2deadf3 100644
--- a/app-emulation/containerd/Manifest
+++ b/app-emulation/containerd/Manifest
@@ -3,3 +3,4 @@ DIST containerd-1.2.6.tar.gz 4874159 BLAKE2B 202e19cffbe2b5335558dc1db28ea28a05d
DIST containerd-1.2.7.tar.gz 4877757 BLAKE2B 6cf98e370547d3ca5158f546e72e3ff5fdccc08c2e9f390988d080222195f95512dbf6f7dc042b7a966283a040000b7b8777b3fbeb4c5b861caae4f6209c59c5 SHA512 b96ca236d28933c1bf309fc7204af7d2c356e19af394d5c2274a178c8f15298faf6ca9bb8e7d04acb7c3c9c41035446643a8df0103017f7ed0320bfc37cb8ca9
DIST containerd-1.3.0.tar.gz 5697153 BLAKE2B c334cfd2aa11dd430c74bc9f3fe6f31d83faf752b9794da26021033bb6af492c48ed1665fc76ddfe5b858f04d45e9b77505f331e3c3da556af2d75e3cca3bb12 SHA512 cff9f0189b9fdc2b5492c92129af284aa8cd099e48de94cafd90aed191e2d20060c96008111b05fe081de0d4fc41d35f8cba5a3dc2d8cc0a5c37f695fd3cedc1
DIST containerd-1.3.1.tar.gz 5703741 BLAKE2B 6eae3fe9714128e7a5378484115378629baf6c4f7ef4b795e625cc1fbc05323a123c2337c5b203a2c3c3b34486c81f7e5b3ad200c000c961931fc99347ef4513 SHA512 4991286d1a8a221dad24121c5e6cd31a00685d91e652546d0d97745624486450bc05ff4f889f2975c178c4c175fedd7b15f89121a7ce4e6687919aabd04501b4
+DIST containerd-1.3.2.tar.gz 5704320 BLAKE2B 32ea22ff445cc66f4c8db8abdbaaa7fa0c8c620b294bda54f2319045af1925398057ba1a5cb5c265cfc73bcff5b49943013b517ecb3bd05f4504920c4a8d6f29 SHA512 768a19eb0829e196a61ddedaa11b0d6691caf8f9cc590a3e47ac77c1acad62e64b7a55017a1a6cccfcb87785a083d5ce131048b0e39e48c65e6cd5922382fc3c
diff --git a/app-emulation/containerd/containerd-1.3.2.ebuild b/app-emulation/containerd/containerd-1.3.2.ebuild
new file mode 100644
index 000000000000..f6200c865cc4
--- /dev/null
+++ b/app-emulation/containerd/containerd-1.3.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+EGO_PN="github.com/containerd/${PN}"
+inherit toolchain-funcs
+
+DESCRIPTION="A daemon to control runC"
+HOMEPAGE="https://containerd.io/"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit golang-vcs
+else
+ MY_PV="${PV/_rc/-rc.}"
+ EGIT_COMMIT="v${MY_PV}"
+ CONTAINERD_COMMIT=ff48f57f
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+ inherit golang-vcs-snapshot
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="apparmor +btrfs +cri hardened +seccomp"
+
+DEPEND="btrfs? ( sys-fs/btrfs-progs )
+ seccomp? ( sys-libs/libseccomp )"
+RDEPEND=">=app-emulation/runc-1.0.0_rc9
+ seccomp? ( sys-libs/libseccomp )"
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RESTRICT="strip test"
+
+src_prepare() {
+ default
+ if [[ ${PV} != *9999* ]]; then
+ sed -i -e "s/git describe --match.*$/echo ${PV})/"\
+ -e "s/git rev-parse HEAD.*$/echo $CONTAINERD_COMMIT)/"\
+ -e "s/-s -w//" \
+ Makefile || die
+ fi
+}
+
+src_compile() {
+ local options=( $(usex btrfs "" "no_btrfs") $(usex cri "" "no_cri") $(usex seccomp "seccomp" "") $(usex apparmor "apparmor" "") )
+ export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
+ LDFLAGS=$(usex hardened '-extldflags -fno-PIC' '') BUILDTAGS="${options[@]}" emake
+}
+
+src_install() {
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ keepdir /var/lib/containerd
+ dobin bin/*
+}
diff --git a/kde-frameworks/kdoctools/files/kdoctools-5.66.0-docbundledir.patch b/kde-frameworks/kdoctools/files/kdoctools-5.66.0-docbundledir.patch
deleted file mode 100644
index 640e4d83426c..000000000000
--- a/kde-frameworks/kdoctools/files/kdoctools-5.66.0-docbundledir.patch
+++ /dev/null
@@ -1,160 +0,0 @@
-diff --git a/autotests/CMakeLists.txt b/autotests/CMakeLists.txt
---- a/autotests/CMakeLists.txt
-+++ b/autotests/CMakeLists.txt
-@@ -1,3 +1,40 @@
-+include(ECMMarkAsTest)
-+
-+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Test)
-+
-+find_package(LibXslt REQUIRED)
-+find_package(LibXml2 REQUIRED)
-+
-+include_directories( ${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR} )
-+
-+include_directories(${CMAKE_CURRENT_BINARY_DIR}/../src)
-+include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
-+
-+add_definitions(-DSIMPLE_XSLT)
-+
-+function(kdoctools_define_document_test basetest)
-+ set(documentdirstest_SRCS
-+ ${basetest}.cpp
-+ ../src/xslt.cpp
-+ ${CMAKE_CURRENT_BINARY_DIR}/../src/loggingcategory.cpp
-+ )
-+
-+ add_executable(${basetest} ${documentdirstest_SRCS})
-+ target_link_libraries(${basetest}
-+ Qt5::Core Qt5::Test
-+ ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES} ${LIBXSLT_EXSLT_LIBRARIES}
-+ )
-+
-+ add_test(NAME ${basetest} COMMAND ${basetest})
-+ ecm_mark_as_test(${basetest})
-+endfunction()
-+
-+kdoctools_define_document_test(documentdirstest)
-+
-+kdoctools_define_document_test(documentcustomdirtest)
-+# custom path, used by the test
-+target_compile_definitions(documentcustomdirtest PRIVATE KDOCTOOLS_CUSTOM_DOC_PATH="/usr/share/doc/kde/HTML")
-+
- add_test(
- NAME meinproc_template
- COMMAND meinproc5 --srcdir ${CMAKE_CURRENT_BINARY_DIR}/../src ${CMAKE_CURRENT_SOURCE_DIR}/../src/template.docbook
-diff --git a/autotests/documentcustomdirtest.cpp b/autotests/documentcustomdirtest.cpp
-new file mode 100644
---- /dev/null
-+++ b/autotests/documentcustomdirtest.cpp
-@@ -0,0 +1,37 @@
-+#include <QDebug>
-+#include <QRegularExpression>
-+#include <QTest>
-+
-+#include "../src/docbookxslt.h"
-+#include "config-kdoctools.h"
-+#include "loggingcategory.h"
-+
-+using namespace KDocTools;
-+
-+class documentCustomDirTest: public QObject
-+{
-+ Q_OBJECT
-+private Q_SLOTS:
-+ void testDirsContent();
-+};
-+
-+void documentCustomDirTest::testDirsContent()
-+{
-+ const QStringList docDirs = documentationDirs();
-+ QVERIFY(docDirs.size() >= 1);
-+ /* DOCBUNDLEDIR (one of its matches) must be the first element */
-+ QVERIFY(docDirs[0].indexOf(QRegularExpression(QStringLiteral(KDOCTOOLS_DOCBUNDLEDIR))) >= 0);
-+ /* Check all the other items that should be there;
-+ check the last occurrence, as each locateAll can return more items
-+ and also some of them may match KDOCTOOLS_DOCBUNDLEDIR */
-+ int position_dir_doc_HTML = docDirs.lastIndexOf(QRegularExpression(QStringLiteral(".*/doc/HTML$")));
-+ QVERIFY(position_dir_doc_HTML >= 0);
-+ int position_dir_help = docDirs.lastIndexOf(QRegularExpression(QStringLiteral(".*/help$")));
-+ QVERIFY(position_dir_help >= 0);
-+ /* The custom directory */
-+ int position_dir_custom = docDirs.lastIndexOf(QStringLiteral(KDOCTOOLS_CUSTOM_DOC_PATH));
-+ QVERIFY(position_dir_custom >= 0);
-+}
-+
-+QTEST_MAIN(documentCustomDirTest)
-+#include "documentcustomdirtest.moc"
-diff --git a/autotests/documentdirstest.cpp b/autotests/documentdirstest.cpp
-new file mode 100644
---- /dev/null
-+++ b/autotests/documentdirstest.cpp
-@@ -0,0 +1,34 @@
-+#include <QDebug>
-+#include <QRegularExpression>
-+#include <QTest>
-+
-+#include "../src/docbookxslt.h"
-+#include "config-kdoctools.h"
-+#include "loggingcategory.h"
-+
-+using namespace KDocTools;
-+
-+class documentDirsTest: public QObject
-+{
-+ Q_OBJECT
-+private Q_SLOTS:
-+ void testDirsContent();
-+};
-+
-+void documentDirsTest::testDirsContent()
-+{
-+ const QStringList docDirs = documentationDirs();
-+ QVERIFY(docDirs.size() >= 1);
-+ /* DOCBUNDLEDIR (one of its matches) must be the first element */
-+ QVERIFY(docDirs[0].indexOf(QRegularExpression(QStringLiteral(KDOCTOOLS_DOCBUNDLEDIR))) >= 0);
-+ /* Check all the other items that should be there;
-+ check the last occurrence, as each locateAll can return more items
-+ and also some of them may match KDOCTOOLS_DOCBUNDLEDIR */
-+ int position_dir_doc_HTML = docDirs.lastIndexOf(QRegularExpression(QStringLiteral(".*/doc/HTML$")));
-+ QVERIFY(position_dir_doc_HTML >= 0);
-+ int position_dir_help = docDirs.lastIndexOf(QRegularExpression(QStringLiteral(".*/help$")));
-+ QVERIFY(position_dir_help >= 0);
-+}
-+
-+QTEST_MAIN(documentDirsTest)
-+#include "documentdirstest.moc"
-diff --git a/config-kdoctools.h.cmake b/config-kdoctools.h.cmake
---- a/config-kdoctools.h.cmake
-+++ b/config-kdoctools.h.cmake
-@@ -3,3 +3,13 @@
- #define DOCBOOK_XML_CURRDTD "@DocBookXML4_DTD_DIR@"
-
- #define KDOCTOOLS_INSTALL_DATADIR_KF5 "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF5}"
-+
-+#define KDOCTOOLS_DOCBUNDLEDIR "${KDE_INSTALL_DOCBUNDLEDIR}"
-+
-+/* Get the value set in the library at compile time, or allow the application
-+ to set it if the library has not defined it (useful for example for testing
-+ purposes)
-+*/
-+#ifndef KDOCTOOLS_CUSTOM_DOC_PATH
-+#define KDOCTOOLS_CUSTOM_DOC_PATH "${KDOCTOOLS_CUSTOM_DOC_PATH}"
-+#endif
-diff --git a/src/xslt.cpp b/src/xslt.cpp
---- a/src/xslt.cpp
-+++ b/src/xslt.cpp
-@@ -489,5 +489,13 @@
- QStringList KDocTools::documentationDirs()
- {
- /* List of paths containing documentation */
-- return QStandardPaths::locateAll(QStandardPaths::GenericDataLocation, QStringLiteral("doc/HTML"), QStandardPaths::LocateDirectory);
-+ QStringList allDocDirs;
-+ allDocDirs << QStandardPaths::locateAll(QStandardPaths::GenericDataLocation, QStringLiteral(KDOCTOOLS_DOCBUNDLEDIR), QStandardPaths::LocateDirectory)
-+ << QStandardPaths::locateAll(QStandardPaths::GenericDataLocation, QStringLiteral("doc/HTML"), QStandardPaths::LocateDirectory)
-+ << QStandardPaths::locateAll(QStandardPaths::GenericDataLocation, QStringLiteral("help"), QStandardPaths::LocateDirectory);
-+ if (!QStringLiteral(KDOCTOOLS_CUSTOM_DOC_PATH).isEmpty()) {
-+ allDocDirs << QStringLiteral(KDOCTOOLS_CUSTOM_DOC_PATH);
-+ }
-+ allDocDirs.removeDuplicates();
-+ return allDocDirs;
- }
diff --git a/kde-frameworks/kdoctools/kdoctools-5.66.0.ebuild b/kde-frameworks/kdoctools/kdoctools-5.66.0.ebuild
index 0d80c0455b6c..7fb5ee8c626b 100644
--- a/kde-frameworks/kdoctools/kdoctools-5.66.0.ebuild
+++ b/kde-frameworks/kdoctools/kdoctools-5.66.0.ebuild
@@ -28,7 +28,7 @@ DEPEND="
"
RDEPEND="${DEPEND}"
-PATCHES=( "${FILESDIR}/${PN}-5.66.0-docbundledir.patch" )
+PATCHES=( "${FILESDIR}/${PN}-5.54.0-gentoo-docbundledir.patch" )
src_configure() {
local mycmakeargs=(
diff --git a/kde-misc/kdirstat/Manifest b/kde-misc/kdirstat/Manifest
index 1271533ee3be..55f306f6a759 100644
--- a/kde-misc/kdirstat/Manifest
+++ b/kde-misc/kdirstat/Manifest
@@ -1,2 +1 @@
-DIST k4dirstat-3.1.4.tar.bz2 230737 BLAKE2B af1f22c3ab636a78f402fa002aa08f8ae83f57f134b4c7a2087d9be6cb9f89aca6065316e59cedbbb3d9c92a82d0dafaf465c66e1c0a2921e5064c6683431ffe SHA512 f931440541a663f83a9c6cb2ad32a9e32b8b83ef6a5b4bba0f07b664e3a2e5d5d3e97b6e53819bac75739f236138b9f7945354cc7b0c31909710b37e9cfe296d
DIST kdirstat-3.2.0.tar.gz 249518 BLAKE2B 81575cb7356ebef36f83cedce3720d38387cbab1cbcafaa2518551eb1c73e0a96470b2fba725ab6b2ca5d55df2a13c262f72af359dc8882d40cc1165868a2396 SHA512 b664fc8a74f37af39960be27c81d2ae4a2d67ecd8f9eda4ffb8b5d1da6936083353f89ba9cf25340acc5789bf6fed93cb5b16b6b3d146a089af9ef51ac1fc370
diff --git a/kde-misc/kdirstat/kdirstat-3.1.4.ebuild b/kde-misc/kdirstat/kdirstat-3.1.4.ebuild
deleted file mode 100644
index 274f8a7cacae..000000000000
--- a/kde-misc/kdirstat/kdirstat-3.1.4.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-KDE_HANDBOOK="forceoptional"
-inherit kde5
-
-DESCRIPTION="GUI equivalent to the du command based on KDE Frameworks"
-HOMEPAGE="https://bitbucket.org/jeromerobert/k4dirstat/"
-SRC_URI="https://bitbucket.org/jeromerobert/k4dirstat/get/k4dirstat-${PV}.tar.bz2"
-
-LICENSE="GPL-2"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-BDEPEND="
- sys-devel/gettext
-"
-DEPEND="
- $(add_frameworks_dep kconfig)
- $(add_frameworks_dep kconfigwidgets)
- $(add_frameworks_dep kcoreaddons)
- $(add_frameworks_dep ki18n)
- $(add_frameworks_dep kiconthemes)
- $(add_frameworks_dep kio)
- $(add_frameworks_dep kjobwidgets)
- $(add_frameworks_dep kwidgetsaddons)
- $(add_frameworks_dep kxmlgui)
- $(add_qt_dep qtgui)
- $(add_qt_dep qtwidgets)
- sys-libs/zlib
-"
-RDEPEND="${DEPEND}"
-
-src_unpack() {
- # tarball contains git revision hash, which we don't want in the ebuild.
- default
- mv "${WORKDIR}"/*k4dirstat-* "${S}" || die
-}
diff --git a/kde-misc/kdirstat/kdirstat-3.2.0.ebuild b/kde-misc/kdirstat/kdirstat-3.2.0.ebuild
index 1933ff7098e7..320748f7d713 100644
--- a/kde-misc/kdirstat/kdirstat-3.2.0.ebuild
+++ b/kde-misc/kdirstat/kdirstat-3.2.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/jeromerobert/k4dirstat/archive/${PV}.tar.gz -> ${P}.
LICENSE="GPL-2"
SLOT="5"
-KEYWORDS="~amd64 x86"
+KEYWORDS="amd64 x86"
IUSE=""
BDEPEND="
diff --git a/media-gfx/imv/imv-4.0.1-r1.ebuild b/media-gfx/imv/imv-4.0.1-r2.ebuild
index dab63717b9c3..a93b2f9f6269 100644
--- a/media-gfx/imv/imv-4.0.1-r1.ebuild
+++ b/media-gfx/imv/imv-4.0.1-r2.ebuild
@@ -23,6 +23,7 @@ RDEPEND="
media-libs/libsdl2
media-libs/sdl2-ttf
X? (
+ virtual/glu
x11-libs/libX11
x11-libs/libxcb
x11-libs/libxkbcommon
diff --git a/media-gfx/imv/imv-4.1.0.ebuild b/media-gfx/imv/imv-4.1.0-r1.ebuild
index 4987f5a28049..eb2681a4e709 100644
--- a/media-gfx/imv/imv-4.1.0.ebuild
+++ b/media-gfx/imv/imv-4.1.0-r1.ebuild
@@ -19,13 +19,15 @@ REQUIRED_USE="
RDEPEND="
!sys-apps/renameutils
+ dev-libs/icu:=
media-libs/fontconfig
media-libs/libsdl2
media-libs/sdl2-ttf
X? (
+ virtual/glu
x11-libs/libX11
x11-libs/libxcb
- x11-libs/libxkbcommon
+ x11-libs/libxkbcommon[X]
x11-libs/pango
)
freeimage? ( media-libs/freeimage )
diff --git a/media-gfx/imv/imv-9999.ebuild b/media-gfx/imv/imv-9999.ebuild
index 5fc4052027f6..986d27dd3255 100644
--- a/media-gfx/imv/imv-9999.ebuild
+++ b/media-gfx/imv/imv-9999.ebuild
@@ -19,10 +19,12 @@ REQUIRED_USE="
RDEPEND="
!sys-apps/renameutils
+ dev-libs/icu:=
media-libs/fontconfig
media-libs/libsdl2
media-libs/sdl2-ttf
X? (
+ virtual/glu
x11-libs/libX11
x11-libs/libxcb
x11-libs/libxkbcommon
diff --git a/net-misc/cni-plugins/Manifest b/net-misc/cni-plugins/Manifest
index 0f37333e9089..c06bb485bcde 100644
--- a/net-misc/cni-plugins/Manifest
+++ b/net-misc/cni-plugins/Manifest
@@ -1,2 +1,3 @@
DIST cni-plugins-0.8.2.tar.gz 1997790 BLAKE2B a3c0196c589a3a77de100a87ca8d3eb952478190c78dc50bc7b65d6229ec33593fe77be4a8c5b593d9ea8bb806f9b8d04768bc52b689b006640cfa34c176a0a1 SHA512 383540232593c7ef8c28f83e660a58ae6dd2592c6d97a43c8fc1f046a3fa448911d4066ec0a6a7d7e770a1a2dceee7c31d742100b0871e07d691fe6bdffd42f9
DIST cni-plugins-0.8.3.tar.gz 2001599 BLAKE2B e087814146c53d372af5b1cc47098f0060cb1528618d9848287592c0b442856114c711ea747efca4e8a79e9ee0b4285678a6e48e07d0698f1382c1e822a49451 SHA512 054479a73ddbfbdb2986ac202ae2da7a69ae7bb693a250885f950a26973c60be3053d4e95ca24cf5eb67c104b9af8231f859e22c01a066ce3a206a186fc55a6d
+DIST cni-plugins-0.8.4.tar.gz 2002863 BLAKE2B afc0229256f04b5079ff4f30fca422e7e72dc46b01a988b38647bbed767ad4c8362c99eca84ade86a52ffbd3aadda60ae1b14974436eab862d4c9ed356320b2b SHA512 1a66a9d2cc3bad17201426905ed8349fa0c260ffef423338bc93c4ff191c4d38e6b9228ca3b5c44b148c854379f741f2dbd88ac9937dc1599f95f4df8b6f4346
diff --git a/net-misc/cni-plugins/cni-plugins-0.8.4.ebuild b/net-misc/cni-plugins/cni-plugins-0.8.4.ebuild
new file mode 100644
index 000000000000..82ab7c1b97fb
--- /dev/null
+++ b/net-misc/cni-plugins/cni-plugins-0.8.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info golang-vcs-snapshot
+
+DESCRIPTION="Standard networking plugins for container networking"
+HOMEPAGE="https://github.com/containernetworking/plugins"
+EGO_PN="github.com/containernetworking/plugins"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="hardened"
+
+CONFIG_CHECK="~BRIDGE_VLAN_FILTERING"
+
+src_compile() {
+ pushd src || die
+ local i
+ for i in plugins/{meta/{bandwidth,firewall,flannel,portmap,sbr,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local,static},sample}; do
+ CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" GOPATH="${WORKDIR}/${P}" go install -v "${EGO_PN}/${i}" || die
+ done
+ popd || die
+}
+
+src_install() {
+ exeinto /opt/cni/bin
+ doexe bin/*
+ pushd src/${EGO_PN} || die
+ dodoc README.md
+ local i
+ for i in plugins/{meta/{bandwidth,firewall,flannel,portmap,sbr,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local,static},sample}; do
+ newdoc README.md ${i##*/}.README.md
+ done
+ popd || die
+}
diff --git a/net-misc/networkmanager/files/1.18.4-iwd1-compat.patch b/net-misc/networkmanager/files/1.18.4-iwd1-compat.patch
new file mode 100644
index 000000000000..12c8b873e6a1
--- /dev/null
+++ b/net-misc/networkmanager/files/1.18.4-iwd1-compat.patch
@@ -0,0 +1,81 @@
+From 59923ad85d1a1cf2216a4f14649702d24d3f2360 Mon Sep 17 00:00:00 2001
+From: Lubomir Rintel <lkundrak@v3.sk>
+Date: Sat, 2 Nov 2019 06:55:54 +0100
+Subject: [PATCH 1/2] iwd: add some missing error handling
+
+g_dbus_object_manager_get_interface() can happily return NULL and we
+need to check for that.
+---
+ src/devices/wifi/nm-iwd-manager.c | 10 ++++++++++
+ 1 file changed, 10 insertions(+)
+
+diff --git a/src/devices/wifi/nm-iwd-manager.c b/src/devices/wifi/nm-iwd-manager.c
+index dd1cad480..e83f8063c 100644
+--- a/src/devices/wifi/nm-iwd-manager.c
++++ b/src/devices/wifi/nm-iwd-manager.c
+@@ -136,6 +136,11 @@ agent_dbus_method_cb (GDBusConnection *connection,
+ network = g_dbus_object_manager_get_interface (priv->object_manager,
+ network_path,
+ NM_IWD_NETWORK_INTERFACE);
++ if (!network) {
++ _LOGE ("unable to find the network object");
++ return;
++ }
++
+
+ device_path = get_property_string_or_null (G_DBUS_PROXY (network), "Device");
+ if (!device_path) {
+@@ -260,6 +265,11 @@ register_agent (NMIwdManager *self)
+ "/",
+ NM_IWD_AGENT_MANAGER_INTERFACE);
+
++ if (!agent_manager) {
++ _LOGE ("unable to register the IWD Agent: PSK/8021x Wi-Fi networks may not work");
++ return;
++ }
++
+ /* Register our agent */
+ g_dbus_proxy_call (G_DBUS_PROXY (agent_manager),
+ "RegisterAgent",
+--
+2.20.1
+
+
+From 186d22a9634e2bf94658ed6f1cf2b332ecb3a32c Mon Sep 17 00:00:00 2001
+From: Lubomir Rintel <lkundrak@v3.sk>
+Date: Sat, 2 Nov 2019 07:01:28 +0100
+Subject: [PATCH 2/2] iwd: unbreak iwd-1.0
+
+The upstream apparently thought it's a great idea to change the agent
+manager path. This fixes things for those unfortunate enough to run
+IWD.
+---
+ src/devices/wifi/nm-iwd-manager.c | 10 +++++++++-
+ 1 file changed, 9 insertions(+), 1 deletion(-)
+
+diff --git a/src/devices/wifi/nm-iwd-manager.c b/src/devices/wifi/nm-iwd-manager.c
+index e83f8063c..470cb1c90 100644
+--- a/src/devices/wifi/nm-iwd-manager.c
++++ b/src/devices/wifi/nm-iwd-manager.c
+@@ -262,9 +262,17 @@ register_agent (NMIwdManager *self)
+ GDBusInterface *agent_manager;
+
+ agent_manager = g_dbus_object_manager_get_interface (priv->object_manager,
+- "/",
++ "/net/connman/iwd",
+ NM_IWD_AGENT_MANAGER_INTERFACE);
+
++ if (!agent_manager) {
++ /* IWD prior to 1.0 dated 30 October, 2019 has the agent manager on a
++ * different path. */
++ agent_manager = g_dbus_object_manager_get_interface (priv->object_manager,
++ "/",
++ NM_IWD_AGENT_MANAGER_INTERFACE);
++ }
++
+ if (!agent_manager) {
+ _LOGE ("unable to register the IWD Agent: PSK/8021x Wi-Fi networks may not work");
+ return;
+--
+2.20.1
+
diff --git a/net-misc/networkmanager/networkmanager-1.18.4-r2.ebuild b/net-misc/networkmanager/networkmanager-1.18.4-r2.ebuild
new file mode 100644
index 000000000000..b5aa6112e4ec
--- /dev/null
+++ b/net-misc/networkmanager/networkmanager-1.18.4-r2.ebuild
@@ -0,0 +1,349 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME_ORG_MODULE="NetworkManager"
+GNOME2_LA_PUNT="yes"
+VALA_USE_DEPEND="vapigen"
+PYTHON_COMPAT=( python{2_7,3_6,3_7} )
+
+inherit bash-completion-r1 gnome2 linux-info multilib python-any-r1 systemd readme.gentoo-r1 vala virtualx udev multilib-minimal
+
+DESCRIPTION="A set of co-operative tools that make networking simple and straightforward"
+HOMEPAGE="https://wiki.gnome.org/Projects/NetworkManager"
+
+LICENSE="GPL-2+"
+SLOT="0" # add subslot if libnm-util.so.2 or libnm-glib.so.4 bumps soname version
+
+IUSE="audit bluetooth connection-sharing consolekit +dhclient dhcpcd elogind gnutls +introspection iwd json kernel_linux +nss +modemmanager ncurses ofono ovs policykit +ppp resolvconf selinux systemd teamd test vala +wext +wifi"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+ bluetooth? ( modemmanager )
+ iwd? ( wifi )
+ vala? ( introspection )
+ wext? ( wifi )
+ || ( nss gnutls )
+ ?? ( consolekit elogind systemd )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# gobject-introspection-0.10.3 is needed due to gnome bug 642300
+# wpa_supplicant-0.7.3-r3 is needed due to bug 359271
+COMMON_DEPEND="
+ >=sys-apps/dbus-1.2[${MULTILIB_USEDEP}]
+ >=dev-libs/dbus-glib-0.100[${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.40:2[${MULTILIB_USEDEP}]
+ policykit? ( >=sys-auth/polkit-0.106 )
+ net-libs/libndp[${MULTILIB_USEDEP}]
+ >=net-misc/curl-7.24
+ net-misc/iputils
+ sys-apps/util-linux[${MULTILIB_USEDEP}]
+ sys-libs/readline:0=
+ >=virtual/libudev-175:=[${MULTILIB_USEDEP}]
+ audit? ( sys-process/audit )
+ bluetooth? ( >=net-wireless/bluez-5 )
+ connection-sharing? (
+ net-dns/dnsmasq[dbus,dhcp]
+ net-firewall/iptables )
+ consolekit? ( >=sys-auth/consolekit-1.0.0 )
+ dhclient? ( >=net-misc/dhcp-4[client] )
+ dhcpcd? ( net-misc/dhcpcd )
+ elogind? ( >=sys-auth/elogind-219 )
+ introspection? ( >=dev-libs/gobject-introspection-0.10.3:= )
+ json? ( >=dev-libs/jansson-2.5[${MULTILIB_USEDEP}] )
+ modemmanager? ( >=net-misc/modemmanager-0.7.991:0= )
+ ncurses? ( >=dev-libs/newt-0.52.15 )
+ nss? ( >=dev-libs/nss-3.11:=[${MULTILIB_USEDEP}] )
+ !nss? ( gnutls? (
+ dev-libs/libgcrypt:0=[${MULTILIB_USEDEP}]
+ >=net-libs/gnutls-2.12:=[${MULTILIB_USEDEP}] ) )
+ ofono? ( net-misc/ofono )
+ ovs? ( dev-libs/jansson )
+ ppp? ( >=net-dialup/ppp-2.4.5:=[ipv6] )
+ resolvconf? ( net-dns/openresolv )
+ selinux? ( sys-libs/libselinux )
+ systemd? ( >=sys-apps/systemd-209:0= )
+ teamd? (
+ dev-libs/jansson
+ >=net-misc/libteam-1.9
+ )
+"
+RDEPEND="${COMMON_DEPEND}
+ acct-group/plugdev
+ || (
+ net-misc/iputils[arping(+)]
+ net-analyzer/arping
+ )
+ wifi? (
+ !iwd? ( >=net-wireless/wpa_supplicant-0.7.3-r3[dbus] )
+ iwd? ( net-wireless/iwd )
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.40
+ >=sys-devel/gettext-0.17
+ >=sys-kernel/linux-headers-3.18
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+ introspection? (
+ $(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+ dev-lang/perl
+ dev-libs/libxslt
+ )
+ vala? ( $(vala_depend) )
+ test? (
+ $(python_gen_any_dep '
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]')
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-data-fix-the-ID_NET_DRIVER-udev-rule.patch
+ "${FILESDIR}"/${PV}-iwd1-compat.patch # included in 1.21.3+
+)
+
+python_check_deps() {
+ if use introspection; then
+ has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" || return
+ fi
+ if use test; then
+ has_version "dev-python/dbus-python[${PYTHON_USEDEP}]" &&
+ has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]"
+ fi
+}
+
+sysfs_deprecated_check() {
+ ebegin "Checking for SYSFS_DEPRECATED support"
+
+ if { linux_chkconfig_present SYSFS_DEPRECATED_V2; }; then
+ eerror "Please disable SYSFS_DEPRECATED_V2 support in your kernel config and recompile your kernel"
+ eerror "or NetworkManager will not work correctly."
+ eerror "See https://bugs.gentoo.org/333639 for more info."
+ die "CONFIG_SYSFS_DEPRECATED_V2 support detected!"
+ fi
+ eend $?
+}
+
+pkg_pretend() {
+ if use kernel_linux; then
+ get_version
+ if linux_config_exists; then
+ sysfs_deprecated_check
+ else
+ ewarn "Was unable to determine your kernel .config"
+ ewarn "Please note that if CONFIG_SYSFS_DEPRECATED_V2 is set in your kernel .config, NetworkManager will not work correctly."
+ ewarn "See https://bugs.gentoo.org/333639 for more info."
+ fi
+
+ fi
+}
+
+pkg_setup() {
+ if use connection-sharing; then
+ if kernel_is lt 5 1; then
+ CONFIG_CHECK="~NF_NAT_IPV4 ~NF_NAT_MASQUERADE_IPV4"
+ else
+ CONFIG_CHECK="~NF_NAT ~NF_NAT_MASQUERADE"
+ fi
+ linux-info_pkg_setup
+ fi
+ if use introspection || use test; then
+ python-any-r1_pkg_setup
+ fi
+}
+
+src_prepare() {
+ DOC_CONTENTS="To modify system network connections without needing to enter the
+ root password, add your user account to the 'plugdev' group."
+
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ local myconf=(
+ --disable-more-warnings
+ --disable-static
+ --localstatedir=/var
+ --disable-lto
+ --disable-config-plugin-ibft
+ --disable-qt
+ --without-netconfig
+ --with-dbus-sys-dir=/etc/dbus-1/system.d
+ # We need --with-libnm-glib (and dbus-glib dep) as reverse deps are
+ # still not ready for removing that lib, bug #665338
+ --with-libnm-glib
+ $(multilib_native_with nmcli)
+ --with-udev-dir="$(get_udevdir)"
+ --with-config-plugins-default=keyfile
+ --with-iptables=/sbin/iptables
+ --with-ebpf=yes
+ $(multilib_native_enable concheck)
+ --with-crypto=$(usex nss nss gnutls)
+ --with-session-tracking=$(multilib_native_usex systemd systemd $(multilib_native_usex elogind elogind $(multilib_native_usex consolekit consolekit no)))
+ # ConsoleKit has no build-time dependency, so use it as the default case.
+ # There is no off switch, and we do not support upower.
+ --with-suspend-resume=$(multilib_native_usex systemd systemd $(multilib_native_usex elogind elogind consolekit))
+ $(multilib_native_use_with audit libaudit)
+ $(multilib_native_use_enable bluetooth bluez5-dun)
+ $(use_with dhclient)
+ $(use_with dhcpcd)
+ $(multilib_native_use_enable introspection)
+ $(use_enable json json-validation)
+ $(multilib_native_use_enable ppp)
+ --without-libpsl
+ $(multilib_native_use_with modemmanager modem-manager-1)
+ $(multilib_native_use_with ncurses nmtui)
+ $(multilib_native_use_with ofono)
+ $(multilib_native_use_enable ovs)
+ $(multilib_native_use_enable policykit polkit)
+ $(multilib_native_use_enable policykit polkit-agent)
+ $(multilib_native_use_with resolvconf)
+ $(multilib_native_use_with selinux)
+ $(multilib_native_use_with systemd systemd-journal)
+ $(multilib_native_use_enable teamd teamdctl)
+ $(multilib_native_use_enable test tests)
+ $(multilib_native_use_enable vala)
+ --without-valgrind
+ $(multilib_native_use_with wifi iwd)
+ $(multilib_native_use_with wext)
+ $(multilib_native_use_enable wifi)
+ )
+
+ # Same hack as net-dialup/pptpd to get proper plugin dir for ppp, bug #519986
+ if use ppp; then
+ local PPPD_VER=`best_version net-dialup/ppp`
+ PPPD_VER=${PPPD_VER#*/*-} #reduce it to ${PV}-${PR}
+ PPPD_VER=${PPPD_VER%%[_-]*} # main version without beta/pre/patch/revision
+ myconf+=( --with-pppd-plugin-dir=/usr/$(get_libdir)/pppd/${PPPD_VER} )
+ fi
+
+ # unit files directory needs to be passed only when systemd is enabled,
+ # otherwise systemd support is not disabled completely, bug #524534
+ use systemd && myconf+=( --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" )
+
+ if multilib_is_native_abi; then
+ # work-around man out-of-source brokenness, must be done before configure
+ ln -s "${S}/docs" docs || die
+ ln -s "${S}/man" man || die
+ fi
+
+ ECONF_SOURCE=${S} runstatedir="/run" gnome2_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi; then
+ emake
+ else
+ local targets=(
+ libnm/libnm.la
+ libnm-util/libnm-util.la
+ libnm-glib/libnm-glib.la
+ libnm-glib/libnm-glib-vpn.la
+ )
+ emake "${targets[@]}"
+ fi
+}
+
+multilib_src_test() {
+ if use test && multilib_is_native_abi; then
+ python_setup
+ virtx emake check
+ fi
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi; then
+ # Install completions at proper place, bug #465100
+ gnome2_src_install completiondir="$(get_bashcompdir)"
+ insinto /usr/lib/NetworkManager/conf.d #702476
+ doins "${S}"/examples/nm-conf.d/{30-anon,31-mac-addr-change}.conf
+ else
+ local targets=(
+ install-libLTLIBRARIES
+ install-libdeprecatedHEADERS
+ install-libnm_glib_libnmvpnHEADERS
+ install-libnm_glib_libnmincludeHEADERS
+ install-libnm_util_libnm_util_includeHEADERS
+ install-libnmincludeHEADERS
+ install-nodist_libnm_glib_libnmincludeHEADERS
+ install-nodist_libnm_glib_libnmvpnHEADERS
+ install-nodist_libnm_util_libnm_util_includeHEADERS
+ install-nodist_libnmincludeHEADERS
+ install-pkgconfigDATA
+ )
+ emake DESTDIR="${D}" "${targets[@]}"
+ fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ ! use systemd && readme.gentoo_create_doc
+
+ newinitd "${FILESDIR}/init.d.NetworkManager-r1" NetworkManager
+ newconfd "${FILESDIR}/conf.d.NetworkManager" NetworkManager
+
+ # Need to keep the /etc/NetworkManager/dispatched.d for dispatcher scripts
+ keepdir /etc/NetworkManager/dispatcher.d
+
+ # Provide openrc net dependency only when nm is connected
+ exeinto /etc/NetworkManager/dispatcher.d
+ newexe "${FILESDIR}/10-openrc-status-r4" 10-openrc-status
+ sed -e "s:@EPREFIX@:${EPREFIX}:g" \
+ -i "${ED}/etc/NetworkManager/dispatcher.d/10-openrc-status" || die
+
+ keepdir /etc/NetworkManager/system-connections
+ chmod 0600 "${ED}"/etc/NetworkManager/system-connections/.keep* # bug #383765, upstream bug #754594
+
+ # Allow users in plugdev group to modify system connections
+ insinto /usr/share/polkit-1/rules.d/
+ doins "${FILESDIR}/01-org.freedesktop.NetworkManager.settings.modify.system.rules"
+
+ if use iwd; then
+ # This goes to $nmlibdir/conf.d/ and $nmlibdir is '${prefix}'/lib/$PACKAGE, thus always lib, not get_libdir
+ cat <<-EOF > "${ED%/}"/usr/lib/NetworkManager/conf.d/iwd.conf
+ [device]
+ wifi.backend=iwd
+ EOF
+ fi
+
+ # Empty
+ rmdir "${ED%/}"/var{/lib{/NetworkManager,},} || die
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ systemd_reenable NetworkManager.service
+ ! use systemd && readme.gentoo_print_elog
+
+ if [[ -e "${EROOT}etc/NetworkManager/nm-system-settings.conf" ]]; then
+ ewarn "The ${PN} system configuration file has moved to a new location."
+ ewarn "You must migrate your settings from ${EROOT}/etc/NetworkManager/nm-system-settings.conf"
+ ewarn "to ${EROOT}etc/NetworkManager/NetworkManager.conf"
+ ewarn
+ ewarn "After doing so, you can remove ${EROOT}etc/NetworkManager/nm-system-settings.conf"
+ fi
+
+ # NM fallbacks to plugin specified at compile time (upstream bug #738611)
+ # but still show a warning to remember people to have cleaner config file
+ if [[ -e "${EROOT}etc/NetworkManager/NetworkManager.conf" ]]; then
+ if grep plugins "${EROOT}etc/NetworkManager/NetworkManager.conf" | grep -q ifnet; then
+ ewarn
+ ewarn "You seem to use 'ifnet' plugin in ${EROOT}etc/NetworkManager/NetworkManager.conf"
+ ewarn "Since it won't be used, you will need to stop setting ifnet plugin there."
+ ewarn
+ fi
+ fi
+
+ # NM shows lots of errors making nmcli almost unusable, bug #528748 upstream bug #690457
+ if grep -r "psk-flags=1" "${EROOT}"/etc/NetworkManager/; then
+ ewarn "You have psk-flags=1 setting in above files, you will need to"
+ ewarn "either reconfigure affected networks or, at least, set the flag"
+ ewarn "value to '0'."
+ fi
+}
diff --git a/net-misc/r8168/Manifest b/net-misc/r8168/Manifest
index 7df922a25a8e..856f3c7114f4 100644
--- a/net-misc/r8168/Manifest
+++ b/net-misc/r8168/Manifest
@@ -1,2 +1,3 @@
DIST r8168-8.045.08.tar.bz2 104427 BLAKE2B 56e332b518aa3c244750310a77d53ca2fc9a365f4a043e452c5593bcfcd5679c882d35b9977438ddb6a42ba40bb7c9b45e73926fda37c372314d57290ea3ffab SHA512 9037527f193d59da8bcf69396582e13acb58880ce52328e596ffb469352d38649d43f3c31b01ed607773bba1624561f299b3909dd6124448ed75e8f548d80563
DIST r8168-8.047.05.tar.bz2 108933 BLAKE2B 03e0bd90c970fc5f98f3e2e2a5d724891a6ffdfe53dc9de1e30b6c855658d53944ed1d8f996edf63ac448194d917685ef8902d6960fafebfe695453e8ea34e51 SHA512 a58cbbdfd836373ad65607908bd84e48a93222966c65d190ae5dff20621b55976c044c31a18e1c00ea5c4c6d66ac300acdc7537d4dec5dd1e281f0ad33bb24e6
+DIST r8168-8.048.00.tar.bz2 109018 BLAKE2B e3587fda9cdad8a8433933daef7f05b123b661e6079703c840fb20562ff8511424bf183781970957fa3b0371ebcb4c7a5b7ef84101c3ac5bed7d3eee1236194c SHA512 425d3e0fc56006e9371c31078d32f6fd135a038b13ec1c4f1b809f68e73e8fd15e4a4c2d027c0b4a2cee9ef0dda348b478cc855fb123eb05e4157564ab9de12a
diff --git a/net-misc/r8168/metadata.xml b/net-misc/r8168/metadata.xml
index cc09120dcec1..1b220df09674 100644
--- a/net-misc/r8168/metadata.xml
+++ b/net-misc/r8168/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!--maintainer-needed-->
+ <maintainer type="person">
+ <email>pacho@gentoo.org</email>
+ <name>Pacho Ramos</name>
+ </maintainer>
<longdescription>Official Realtek r8168 linux driver. The following cards are currently supported:
RTL8111B RTL8168B RTL8111 RTL8168 RTL8111C RTL8111CP RTL8111D(L) RTL8168C
RTL8111DP RTL8111E RTL8168E RTL8111F RTL8411</longdescription>
diff --git a/net-misc/r8168/r8168-8.047.05.ebuild b/net-misc/r8168/r8168-8.047.05.ebuild
index 152d2ec6ffca..99f290f5063f 100644
--- a/net-misc/r8168/r8168-8.047.05.ebuild
+++ b/net-misc/r8168/r8168-8.047.05.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -7,11 +7,15 @@ inherit linux-info linux-mod eutils
DESCRIPTION="r8168 driver for Realtek 8111/8168 PCI-E NICs"
HOMEPAGE="https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software"
-SRC_URI="${P}.tar.bz2"
+
+# "GBE Ethernet LINUX driver r8168 for kernel up to 4.15" from above link,
+# we need to mirror it to avoid users from needing to fill a captcha to
+# download
+SRC_URI="https://dev.gentoo.org/~pacho/${PN}/${P}.tar.bz2"
+
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-RESTRICT="fetch"
MODULE_NAMES="r8168(net:${S}/src)"
BUILD_TARGETS="modules"
@@ -23,12 +27,6 @@ PATCHES=(
"${FILESDIR}"/linux-5.4.patch
)
-pkg_nofetch() {
- einfo "Please download ${SRC_URI} from:"
- einfo " ${HOMEPAGE}"
- einfo "using the \"GBE Ethernet LINUX driver r8168 for kernel up to 4.15\" link."
-}
-
pkg_setup() {
linux-mod_pkg_setup
BUILD_PARAMS="KERNELDIR=${KV_DIR}"
diff --git a/net-misc/r8168/r8168-8.048.00.ebuild b/net-misc/r8168/r8168-8.048.00.ebuild
new file mode 100644
index 000000000000..0ef2e5c2951e
--- /dev/null
+++ b/net-misc/r8168/r8168-8.048.00.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info linux-mod
+
+DESCRIPTION="r8168 driver for Realtek 8111/8168 PCI-E NICs"
+HOMEPAGE="https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software"
+
+# "GBE Ethernet LINUX driver r8168 for kernel up to 4.15" from above link,
+# we need to mirror it to avoid users from needing to fill a captcha to
+# download
+SRC_URI="https://dev.gentoo.org/~pacho/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+MODULE_NAMES="r8168(net:${S}/src)"
+BUILD_TARGETS="modules"
+
+CONFIG_CHECK="!R8169"
+ERROR_R8169="${P} requires Realtek 8169 PCI Gigabit Ethernet adapter (CONFIG_R8169) to be DISABLED"
+
+pkg_setup() {
+ linux-mod_pkg_setup
+ BUILD_PARAMS="KERNELDIR=${KV_DIR}"
+}
+
+src_install() {
+ linux-mod_src_install
+ einstalldocs
+}
diff --git a/sys-apps/usbguard/files/usbguard-0.7.6-usbguard-dbus.openrc b/sys-apps/usbguard/files/usbguard-0.7.6-usbguard-dbus.openrc
index 2c923123c186..2c923123c186 100755..100644
--- a/sys-apps/usbguard/files/usbguard-0.7.6-usbguard-dbus.openrc
+++ b/sys-apps/usbguard/files/usbguard-0.7.6-usbguard-dbus.openrc
diff --git a/sys-apps/usbguard/files/usbguard-0.7.6-usbguard.openrc b/sys-apps/usbguard/files/usbguard-0.7.6-usbguard.openrc
index 3ea514cce169..3ea514cce169 100755..100644
--- a/sys-apps/usbguard/files/usbguard-0.7.6-usbguard.openrc
+++ b/sys-apps/usbguard/files/usbguard-0.7.6-usbguard.openrc
diff --git a/x11-wm/awesome/awesome-3.5.9-r3.ebuild b/x11-wm/awesome/awesome-3.5.9-r3.ebuild
index 95427fd20e6f..58e6c35ff041 100644
--- a/x11-wm/awesome/awesome-3.5.9-r3.ebuild
+++ b/x11-wm/awesome/awesome-3.5.9-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@@ -11,7 +11,7 @@ SRC_URI="http://awesome.naquadah.org/download/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm ppc ppc64 x86"
-IUSE="dbus doc elibc_FreeBSD gnome"
+IUSE="dbus doc gnome"
COMMON_DEPEND="
|| ( >=dev-lang/lua-5.1:0 dev-lang/lua:5.1 )
@@ -27,8 +27,7 @@ COMMON_DEPEND="
x11-libs/xcb-util-cursor
x11-libs/libXcursor
>=x11-libs/libX11-1.3.99.901
- dbus? ( >=sys-apps/dbus-1 )
- elibc_FreeBSD? ( || ( dev-libs/libexecinfo >=sys-freebsd/freebsd-lib-10.0 ) )"
+ dbus? ( >=sys-apps/dbus-1 )"
# graphicsmagick's 'convert -channel' has no Alpha support, bug #352282
DEPEND="${COMMON_DEPEND}
diff --git a/x11-wm/awesome/awesome-4.2-r3.ebuild b/x11-wm/awesome/awesome-4.2-r3.ebuild
index f603b5a15c20..adaf85cd6a08 100644
--- a/x11-wm/awesome/awesome-4.2-r3.ebuild
+++ b/x11-wm/awesome/awesome-4.2-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/awesomeWM/awesome-releases/raw/master/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 arm ppc ppc64 x86"
-IUSE="dbus doc elibc_FreeBSD gnome luajit test"
+IUSE="dbus doc gnome luajit test"
RESTRICT="test"
RDEPEND="
@@ -35,7 +35,6 @@ RDEPEND="
x11-libs/libxkbcommon[X]
>=x11-libs/libX11-1.3.99.901
dbus? ( >=sys-apps/dbus-1 )
- elibc_FreeBSD? ( || ( dev-libs/libexecinfo >=sys-freebsd/freebsd-lib-10.0 ) )
"
# graphicsmagick's 'convert -channel' has no Alpha support, bug #352282
diff --git a/x11-wm/awesome/awesome-4.3-r1.ebuild b/x11-wm/awesome/awesome-4.3-r1.ebuild
index 4e922c28dd5d..64d00a31b10f 100644
--- a/x11-wm/awesome/awesome-4.3-r1.ebuild
+++ b/x11-wm/awesome/awesome-4.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/awesomeWM/awesome-releases/raw/master/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
-IUSE="dbus doc elibc_FreeBSD gnome luajit test"
+IUSE="dbus doc gnome luajit test"
RESTRICT="test"
RDEPEND="
@@ -35,7 +35,6 @@ RDEPEND="
x11-libs/libxkbcommon[X]
>=x11-libs/libX11-1.3.99.901
dbus? ( >=sys-apps/dbus-1 )
- elibc_FreeBSD? ( || ( dev-libs/libexecinfo >=sys-freebsd/freebsd-lib-10.0 ) )
"
# graphicsmagick's 'convert -channel' has no Alpha support, bug #352282
@@ -89,7 +88,7 @@ src_install() {
cmake-utils_src_install
rm "${ED}"/usr/share/doc/${PF}/LICENSE || die
- pax-mark m "${ED%/}"/usr/bin/awesome
+ pax-mark m "${ED}"/usr/bin/awesome
exeinto /etc/X11/Sessions
newexe "${FILESDIR}"/${PN}-session ${PN}
diff --git a/x11-wm/awesome/awesome-9999.ebuild b/x11-wm/awesome/awesome-9999.ebuild
index a2093f7a67c9..f5e97387e3c1 100644
--- a/x11-wm/awesome/awesome-9999.ebuild
+++ b/x11-wm/awesome/awesome-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,7 +12,7 @@ EGIT_REPO_URI="https://github.com/awesomeWM/${PN}.git"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
-IUSE="dbus doc elibc_FreeBSD gnome luajit test"
+IUSE="dbus doc gnome luajit test"
RESTRICT="test"
RDEPEND="
@@ -35,7 +35,6 @@ RDEPEND="
x11-libs/libxkbcommon[X]
>=x11-libs/libX11-1.3.99.901
dbus? ( >=sys-apps/dbus-1 )
- elibc_FreeBSD? ( || ( dev-libs/libexecinfo >=sys-freebsd/freebsd-lib-10.0 ) )
"
# graphicsmagick's 'convert -channel' has no Alpha support, bug #352282